Bug 487033 - git.conf should be named gitweb.conf
git.conf should be named gitweb.conf
Product: Fedora EPEL
Classification: Fedora
Component: git (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Todd Zullinger
Fedora Extras Quality Assurance
Depends On: 479613
  Show dependency treegraph
Reported: 2009-02-23 13:57 EST by Nico Kadel-Garcia
Modified: 2017-04-06 06:38 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-04-06 06:38:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nico Kadel-Garcia 2009-02-23 13:57:53 EST
Description of problem:

    The name of /etc/httpd/conf.d/git.conf is confusing, it should be /etc/httpd/conf.d/gitweb.conf because it's specific to the gitweb service.

Version-Release number of selected component (if applicable):

How reproducible:

    Review name of components in gitweb RPM.

Steps to Reproduce:
Actual results:

Expected results:

Additional info:

    The configuration file of 'git.conf' should be reserved for HTTP download access to a git repository. After the bug 479613 is addressed to move gitweb.cgi over to /var/www/cgi-bin/, a new git.conf like this can be used to provide public access to the repository.

Alias /git /var/www/git

<Directory /var/www/git/>
  Dav on
  Options Indexes
#  SetEnv GITWEB_CONFIG "/etc/gitweb.conf"
#  AuthType Basic
#  AuthName "Git userr"
#  AuthUserFile /etc/httpd/conf.d/git.password
#    Require valid-user
Comment 1 Lubomir Rintel 2009-12-16 10:08:36 EST
Please note that this change would break existing configuration for a rather small benefit.
Comment 2 Todd Zullinger 2009-12-16 10:19:03 EST
Well, at some point the existing gitweb configuration is going to change, to help with bug 479613.  There's also the new 'smart http' backend in git upstream, which may also require configuration.  I've not looked much at that yet.
Comment 3 Daniel Qarras 2010-10-11 03:00:51 EDT
I've provided an example git.conf in bug 561284 which enables both Gitweb and cloning over HTTP using the new git-http-backend mechanism. But also in that case the name gitweb.conf could be used for Gitweb related configuration.

Comment 4 Aleksander Adamowski 2013-07-30 04:44:53 EDT
Contraty to Lubomir's opinion, I'd say that the change of breaking existing configuration (by simply renaming /etc/httpd/conf.d/git.conf to /etc/httpd/conf.d/gitweb.conf) is relatively small, unless someone upgrading to a newer Gitweb RPM version already has a /etc/httpd/conf.d/gitweb.conf im place for some service other than Gitweb (which is quite unlikely).

On the other hand, the naming of this file has already led to lots of confusion as we're exposing both Git and Gitweb, and new people on the team take some time to get used to the fact that git.conf is not for Git, but instead scm-git.conf is.

As the history of bug 479613 demonstrates, there's no sense in waiting for fundamental configuration changes.

4 years have already passed and nothing happened, while a simple rename of a config file in the gitweb rpm package should take much less than that.
Comment 5 Nico Kadel-Garcia 2013-07-30 07:52:24 EDT
Please yes. Decouple small changes from unscheduled large changes.
Comment 6 Fedora End Of Life 2017-04-06 06:38:09 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.